mcformat(1)

NAME
mcformat - Text data set conversion/merging tool of the McStas neutron ray-trace simulation package

SYNOPSIS
mcformat [--format=FORMAT] [file|dir ...]

DESCRIPTION
The mcformat command is the text data conversion tool of the McStas package. It may convert any kind of McStas data into an other format. Additionally, it can merge equivalent data sets. These might be for instance two simulations made independently (e.g. on a grid or cluster) with the same instrument and parameters. The result will be as if the simulation was performed once on a single machine. The command can merge at the same time many data sets into families. When given directories as input, mcformat works recursively, and the resulting data set follows the same directory hierarchy as the input data sets.

McStas is a general tool for simulating neutron scattering instruments and experiments. It is actively supported by Risoe National Laboratory and ILL

McStas is based on a compiler [mcstas(1)] that reads a high-level specification language defining the instrument to be simulated and produces C code that performs the Monte Carlo Simulation. The system is very fast in use, both when setting up the instrument definition and when doing calculations.

McStas supports triple-axis, time-of-flight instruments, and polarised neutrons. It comes with a comprehensive manual and a library of well-tested components that include most standard elements of neutron scattering instruments, including steady-state and pulsed sources, monochromators/analysers, guides, collimators, vanadium and powder samples, velocity selectors and choppers, and a variety of detectors.

The package consists of the following user commands:

mcgui(1)
    is the graphical user interface. Then use the Neutron Site menu to select an example instrument, and access the whole documentation for the Help menu. It contains an instrument editor, methods to plot simulation results, and much more

mcrun(1)
    is the command-line tool for building and running simulations

mcplot(1)
    is the simulation results plotting tool

mcdisplay(1)
    is the instrument geometry and neutron trajectory viewer

mcdoc(1)
    is the documentation tool

mcstas(1)
    is the instrument compiler

mcconvert(1)
    can convert Matlab data files into Scilab data files, and vice-versa. It also handles data sets with binary encoding. It also handles parameter scan results.

mcformat(1)
    can transform any text data set from one format to an other. It does not support conversion from binary data sets. It can also merge equivalent results.

We encourage users to refer to the User and Component Manuals, which are available with the command mcdoc

OPTIONS

--format=FORMAT
    Specifies wanted output format, i.e. PGPLOT, Matlab, Scilab, HTML, XML, Octave, ...

-d DIR | --dir=DIR
    Put all data files in directory DIR.

-f FILE | --file=FILE
    Put all data in a single file.

-a | --data-only
    Do not put any headers in the data files.

--no-output-files | -t | --test
    Do not write any data files (test mode).

-h | --help
    Show the command help.

-c | --force
    Force writting in existing directories and enable relaxed merging mode (no name check). Use with caution !

-m | --merge
    Add/Append equivalent data files and lists

-s | --scan
    Gather simulations per scan series (and merge equivalent data sets)

-so | --scan-only
    Create scan series but does not merge data

--verbose
    Verbose mode

EXAMPLES

Typical usage (put translated files in outdir)
    mcformat indir -d outdir

Merge two equivalent simulations dir1 and dir2 into dir3
    mcformat --format=Matlab dir1 dir2 -d dir3

BUGS
mcformat can only handle text data sets. Data sets generated with binary files can not be translated.

Additionally, as mcformat works by identification of specific keywords in each data file, if these keywords match some file or component names, the meta data used to identify the simulation might be guessed wrong. Anyway, the data set will still be exact.

McStas is a large package, and bugs might be found. If so, please report to http://mcstas.org/McZilla/ and the mailing list neutron-mc@risoe.dk

AUTHOR
Peter Kjaer Willendrup, Emmanuel FARHI, Kim Lefmann, and Klaus Lieutenant

SEE ALSO
mcstas(1), mcrun(1), mcdisplay(1), mcplot(1), mcgui(1), mcdoc(1), mcformat(1), mcconvert(1)

web site: <http://www.mcstas.org>

mailing list: <mailto:neutron-mc@risoe.dk>

matlab(1), idl(1), scilab(1), octave(1), vitess(1), NISP(1), restrax(1), mcnp(1), tripoli(1)